<template><div></div></template>
<script>
import roomInfoMixin from "./roomInfoMixin";

export default {
  name: "RoomDialogBase",
  mixins: [roomInfoMixin],
  props: ['modelValue'],
  emits: ['update:modelValue'],
  data() {
    return {
      showDialog: false,
    };
  },
  watch: {
    room() {
      this.showDialog = this.shouldShow();
    },
    modelValue() {
      this.showDialog = this.shouldShow();
    },
    showDialog() {
      if (!this.showDialog) {
        this.$emit('update:modelValue', false)
      } else {
        this.onOpenDialog();
      }
    },
  },

  methods: {
    shouldShow() {
      return this.modelValue && this.room ? true : false;
    },
    onOpenDialog() {      
    }
  },
};
</script>

<style lang="scss">
@use "@/assets/css/chat.scss" as *;
</style>